<template>
  <v-form @submit.prevent="searchBook()">
    
          <v-text-field
            single-line
            clearable
            hide-details
            type="text"
            solo
            filled
            autocomplete="off"
            v-model="searchword"
          >
            <template v-slot:prepend-inner>
              
                <v-menu
                bottom
                origin="center center"
                transition="scale-transition"
                :close-on-content-click="false"
                v-model="menu"
              >
                <template v-slot:activator="{ on, attrs }">
                  <!-- <v-btn
                    color="primary"
                    dark
                    v-bind="attrs"
                    v-on="on"
                  > -->
                    <font-awesome-icon :icon="['fas','angle-down']" class="option-search" v-bind="attrs"
                    v-on="on"></font-awesome-icon>
                  <!-- </v-btn> -->
                </template>
                <v-card>
                  <v-card-actions>
                    <v-btn
                      icon
                      @click="menu = false"
                    >
                      <font-awesome-icon :icon="['fas','times']" ></font-awesome-icon>
                    </v-btn>
                  </v-card-actions>
                  <v-card-text>
                    <v-checkbox
                      v-for="f in filters"
                      :key="f.id"
                      :value="f.item"
                      :label="f.item"
                      v-model="checkeddata"
                      
                    ></v-checkbox>
                    <v-divider></v-divider>
                    <v-checkbox
                      v-for="f in salefilter"
                      :key="f.id"
                      :value="f.item"
                      :label="f.item"
                      v-model="saleability"
                      
                    ></v-checkbox>
                    
                  </v-card-text>
                  
                  
                </v-card>
              </v-menu>
              <!-- </v-btn> -->
            </template>
            <template v-slot:append>
              <v-btn type="submit">
                <font-awesome-icon :icon="['fas','search']"></font-awesome-icon>
              </v-btn>
              
              
            </template>
          </v-text-field>
        
  </v-form>
</template>

<script>
import {mapActions} from 'vuex';
export default {
  data: () => ({
    filters: [
      { id: 1,item: 'ebooks' },
      { id: 2,item: 'non ebook' },
    ],
    salefilter:[
      { id: 3,item: 'Free' },
      { id: 4,item: 'Paid' },
    ],
    checkeddata: [],
    saleability:[],
    menu: false,
    searchword: '',
  }),
  methods:{
    ...mapActions([
        'fetchSearchBook'
    ]),
    
    searchBook () {
      let payload={
          searchword: this.searchword,
          filters: this.checkeddata,
          saleability: this.saleability
      }
      this.$emit('clicked', payload)
      this.$router.replace({ path: 'search', query: { q: this.searchword } }).catch(()=>{});
    }
  }
}
</script>

<style>
.option-search{
  font-size: 20px;
  cursor: pointer;
}
.v-text-field .v-input__control .v-input__slot {
  min-height: auto !important;
  padding-right: 0 !important;
  /* display: flex !important;
  align-items: center !important; */
}
.v-text-field.v-text-field--solo .v-input__control{
  min-height: auto !important;
}
.v-card__actions {
  align-items: flex-end !important;
  display: flex !important;
  flex-direction: column !important;
  padding:0 !important;
}

</style>
